lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'misfortune/version'

Gem::Specification.new do |spec|
  spec.name = 'misfortune'
  spec.version = Misfortune::VERSION
  spec.date = '2016-03-24'
  spec.summary = '"Unmaintainable code" turned into fortune cookies'
  spec.description = <<-EOF
    This gem is a spin-off of the fortune program found on many Unix-like systems.
    It is bundled with quotations from the "Unmaintainable code" essay by Roedy Green.
  EOF

  spec.authors = ['Nikolay Bekirov']
  spec.email = 'nbekirov@gmail.com'
  spec.homepage = 'https://github.com/nbekirov/misfortune'
  spec.license = 'MIT'
  spec.required_ruby_version = '>= 2.0.0'

  spec.bindir = 'bin'
  spec.executables = ['misfortune']
  spec.require_paths = ['lib']
  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f =~ %r{^(?:
      spec.*
      |Rakefile
      |\.gitignore
      |\.rubocop.yml
      |\.rspec
      |\.travis.yml
    )$}x
  end

  spec.add_runtime_dependency('redcarpet', '~> 3.3')
  spec.add_runtime_dependency('pastel', '~> 0.6')
  spec.add_runtime_dependency('thor', '~> 0.19')
  spec.add_development_dependency('rake', '~> 11.1')
  spec.add_development_dependency('rspec', '~> 3.4')
  spec.add_development_dependency('simplecov', '~> 0.11')
  spec.add_development_dependency('bundler', '~> 1.3')
end
